Bug 159499 - Update port: x11-wm/golem to 0.0.6
Summary: Update port: x11-wm/golem to 0.0.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-03 19:40 UTC by tkato432
Modified: 2011-08-13 11:50 UTC (History)
0 users

See Also:


Attachments
file.diff (34.33 KB, patch)
2011-08-03 19:40 UTC, tkato432
no flags Details | Diff
x11-wm_golem.diff (34.34 KB, patch)
2011-08-12 19:00 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2011-08-03 19:40:39 UTC
- Update to version 0.0.6

Remove file:
files/patch-plugins::Makefile.plugin.in
files/patch-plugins::pier::parseparams.c
files/patch-plugins::simple_menus::parseparams.c
Comment 1 Emanuel Haupt freebsd_committer 2011-08-09 12:17:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

I will take care of it.
Comment 2 Emanuel Haupt 2011-08-10 17:40:08 UTC
I get the following failure:

http://people.freebsd.org/~ehaupt/misc/golem-0.0.6.log

Could you please investigate?
Comment 3 Emanuel Haupt freebsd_committer 2011-08-10 17:40:22 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 4 tkato432 2011-08-12 19:00:25 UTC
Here is the corrected patch.
Comment 5 Emanuel Haupt freebsd_committer 2011-08-12 22:56:39 UTC
Thanks for the update. At first it failed like this:

--- build failure begins here ---
config.status: executing default-3 commands
===>  Building for golem-0.0.6
-----[ entering plugins ]-----
-----[ entering box_iconify ]-----
cc -O2 -pipe -fno-strict-aliasing -Wall -I/usr/ports/x11-wm/golem/work/golem-0.0.6 -I/usr/ports/x11-wm/golem/work/golem-0.0.6/complib -I../../src/ -I../include/  -I/usr/local/include -DHAVE_CONFIG_H -DNDEBUG   -c -o box_iconify.o box_iconify.c
box_iconify.c: In function 'icon_place':
box_iconify.c:140: warning: 'pos_neg_multiplier' may be used uninitialized in this function
ar cr box_iconify.a box_iconify.o  
cc box_iconify.o   -o box_iconify.so -shared
/usr/bin/ld: box_iconify.o: relocation R_X86_64_32 can not be used when making a shared object; recompile with -fPIC
box_iconify.o: could not read symbols: Bad value
gmake[2]: *** [box_iconify.so] Error 1
gmake[1]: *** [all] Error 2
gmake: *** [all] Error 2
*** Error code 2

Stop in /usr/ports/x11-wm/golem.
*** Error code 1

Stop in /usr/ports/x11-wm/golem.
--- build failure ends here ---

then I added:

.if ${ARCH} == "amd64" || ${ARCH} == "ia64"
CFLAGS+=        -fPIC
.endif

That got me past that line but fails shortly after as follows:

--- build failure begins here ---
cc -O2 -pipe -fPIC -fno-strict-aliasing -Wall -DOTHER -DCONFIG_GENERIC -I/usr/ports/x11-wm/golem/work/golem-0.0.6 -I/usr/ports/x11-wm/golem/work/golem-0.0.6/complib -I../../src/ -I../include/  -I/usr/local/include -DHAVE_CONFIG_H -DNDEBUG   -c -o cl_map.o cl_map.c
cc -O2 -pipe -fPIC -fno-strict-aliasing -Wall -DOTHER -DCONFIG_GENERIC -I/usr/ports/x11-wm/golem/work/golem-0.0.6 -I/usr/ports/x11-wm/golem/work/golem-0.0.6/complib -I../../src/ -I../include/  -I/usr/local/include -DHAVE_CONFIG_H -DNDEBUG   -c -o cl_perf.o cl_perf.c
cl_perf.c:255:1: warning: "PRIu64" redefined
In file included from /usr/include/inttypes.h:32,
                 from /usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_types_osd.h:185,
                 from /usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_types.h:84,
                 from /usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_perf.h:84,
                 from cl_perf.c:90:
/usr/include/machine/_inttypes.h:92:1: warning: this is the location of the previous definition
cl_perf.c: In function '__cl_perf_display':
cl_perf.c:276: warning: format '%d' expects type 'int', but argument 2 has type 'uint64_t'
cl_perf.c:276: warning: format '%d' expects type 'int', but argument 3 has type 'uint64_t'
cl_perf.c:284: warning: format '%d' expects type 'int', but argument 3 has type 'uint64_t'
cl_perf.c:284: warning: format '%d' expects type 'int', but argument 4 has type 'uint64_t'
cl_perf.c:284: warning: format '%d' expects type 'int', but argument 5 has type 'uint64_t'
cc -O2 -pipe -fPIC -fno-strict-aliasing -Wall -DOTHER -DCONFIG_GENERIC -I/usr/ports/x11-wm/golem/work/golem-0.0.6 -I/usr/ports/x11-wm/golem/work/golem-0.0.6/complib -I../../src/ -I../include/  -I/usr/local/include -DHAVE_CONFIG_H -DNDEBUG   -c -o cl_qlockpool.o cl_qlockpool.c
cc -O2 -pipe -fPIC -fno-strict-aliasing -Wall -DOTHER -DCONFIG_GENERIC -I/usr/ports/x11-wm/golem/work/golem-0.0.6 -I/usr/ports/x11-wm/golem/work/golem-0.0.6/complib -I../../src/ -I../include/  -I/usr/local/include -DHAVE_CONFIG_H -DNDEBUG   -c -o cl_syscallback.o cl_syscallback.c
cc -O2 -pipe -fPIC -fno-strict-aliasing -Wall -DOTHER -DCONFIG_GENERIC -I/usr/ports/x11-wm/golem/work/golem-0.0.6 -I/usr/ports/x11-wm/golem/work/golem-0.0.6/complib -I../../src/ -I../include/  -I/usr/local/include -DHAVE_CONFIG_H -DNDEBUG   -c -o cl_async_proc.o cl_async_proc.c
cc -O2 -pipe -fPIC -fno-strict-aliasing -Wall -DOTHER -DCONFIG_GENERIC -I/usr/ports/x11-wm/golem/work/golem-0.0.6 -I/usr/ports/x11-wm/golem/work/golem-0.0.6/complib -I../../src/ -I../include/  -I/usr/local/include -DHAVE_CONFIG_H -DNDEBUG   -c -o cl_memory.o cl_memory.c
cc -O2 -pipe -fPIC -fno-strict-aliasing -Wall -DOTHER -DCONFIG_GENERIC -I/usr/ports/x11-wm/golem/work/golem-0.0.6 -I/usr/ports/x11-wm/golem/work/golem-0.0.6/complib -I../../src/ -I../include/  -I/usr/local/include -DHAVE_CONFIG_H -DNDEBUG   -c -o cl_pool.o cl_pool.c
cc -O2 -pipe -fPIC -fno-strict-aliasing -Wall -DOTHER -DCONFIG_GENERIC -I/usr/ports/x11-wm/golem/work/golem-0.0.6 -I/usr/ports/x11-wm/golem/work/golem-0.0.6/complib -I../../src/ -I../include/  -I/usr/local/include -DHAVE_CONFIG_H -DNDEBUG   -c -o cl_reqmgr.o cl_reqmgr.c
cc -O2 -pipe -fPIC -fno-strict-aliasing -Wall -DOTHER -DCONFIG_GENERIC -I/usr/ports/x11-wm/golem/work/golem-0.0.6 -I/usr/ports/x11-wm/golem/work/golem-0.0.6/complib -I../../src/ -I../include/  -I/usr/local/include -DHAVE_CONFIG_H -DNDEBUG   -c -o cl_threadpool.o cl_threadpool.c
In file included from /usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_atomic_osd.h:94,
                 from /usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_atomic.h:84,
                 from cl_threadpool.c:82:
/usr/ports/x11-wm/golem/work/golem-0.0.6/complib/asm-generic/cl_atomic_asm.h:87:24: error: asm/atomic.h: No such file or directory
In file included from /usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_atomic.h:84,
                 from cl_threadpool.c:82:
/usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_atomic_osd.h: In function 'cl_atomic_inc':
/usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_atomic_osd.h:100: warning: implicit declaration of function 'atomic_inc'
/usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_atomic_osd.h:100: error: 'atomic_t' undeclared (first use in this function)
/usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_atomic_osd.h:100: error: (Each undeclared identifier is reported only once
/usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_atomic_osd.h:100: error: for each function it appears in.)
/usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_atomic_osd.h:100: error: expected expression before ')' token
/usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_atomic_osd.h: In function 'cl_atomic_dec':
/usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_atomic_osd.h:106: warning: implicit declaration of function 'atomic_dec'
/usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_atomic_osd.h:106: error: 'atomic_t' undeclared (first use in this function)
/usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_atomic_osd.h:106: error: expected expression before ')' token
/usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_atomic_osd.h: In function 'cl_atomic_add':
/usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_atomic_osd.h:112: warning: implicit declaration of function 'atomic_add'
/usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_atomic_osd.h:112: error: 'atomic_t' undeclared (first use in this function)
/usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_atomic_osd.h:112: error: expected expression before ')' token
/usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_atomic_osd.h: In function 'cl_atomic_sub':
/usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_atomic_osd.h:118: warning: implicit declaration of function 'atomic_sub'
/usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_atomic_osd.h:118: error: 'atomic_t' undeclared (first use in this function)
/usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_atomic_osd.h:118: error: expected expression before ')' token
/usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_atomic_osd.h: In function 'cl_atomic_xchg':
/usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_atomic_osd.h:127: warning: implicit declaration of function '__cl_atomic_xchg'
/usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_atomic_osd.h: In function 'cl_atomic_comp_xchg':
/usr/ports/x11-wm/golem/work/golem-0.0.6/complib/cl_atomic_osd.h:138: warning: implicit declaration of function '__cl_atomic_cmpxchg'
gmake[2]: *** [cl_threadpool.o] Error 1
gmake[1]: *** [all] Error 2
gmake: *** [all] Error 2
*** Error code 2

Stop in /usr/ports/x11-wm/golem.
*** Error code 1

Stop in /usr/ports/x11-wm/golem.
--- build failure ends here ---
Comment 6 Emanuel Haupt freebsd_committer 2011-08-13 11:42:55 UTC
State Changed
From-To: feedback->closed

Committed, thanks!
Comment 7 dfilter service freebsd_committer 2011-08-13 11:42:57 UTC
ehaupt      2011-08-13 10:42:43 UTC

  FreeBSD ports repository

  Modified files:
    x11-wm/golem         Makefile distinfo pkg-plist 
  Added files:
    x11-wm/golem/files   patch-configure 
  Removed files:
    x11-wm/golem/files   patch-plugins::Makefile.plugin.in 
                         patch-plugins::pier::parseparams.c 
                         patch-plugins::simple_menus::parseparams.c 
  Log:
  Update to 0.0.6
  
  PR:             159499
  Submitted by:   KATO Tsuguru <tkato432@yahoo.com>
  
  Revision  Changes    Path
  1.13      +44 -15    ports/x11-wm/golem/Makefile
  1.8       +2 -2      ports/x11-wm/golem/distinfo
  1.1       +10 -0     ports/x11-wm/golem/files/patch-configure (new)
  1.2       +0 -10     ports/x11-wm/golem/files/patch-plugins::Makefile.plugin.in (dead)
  1.2       +0 -10     ports/x11-wm/golem/files/patch-plugins::pier::parseparams.c (dead)
  1.2       +0 -9      ports/x11-wm/golem/files/patch-plugins::simple_menus::parseparams.c (dead)
  1.4       +341 -257  ports/x11-wm/golem/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"